wco.datamodel.wco.res_dms._2

# ObjectFactory

###
Related Doc: package _2

#### class ObjectFactory extends AnyRef

Linear Supertypes
AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. ObjectFactory
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new ObjectFactory()

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

6. #### def createResponse(): Response

7. #### def createResponseAdditionalInformation(value: AdditionalInformation): JAXBElement[AdditionalInformation]

8. #### def createResponseAdditionalInformation(): AdditionalInformation

9. #### def createResponseAdditionalInformationPointer(): Pointer

10. #### def createResponseAmendment(value: Amendment): JAXBElement[Amendment]

11. #### def createResponseAmendment(): Amendment

12. #### def createResponseAmendmentPointer(): Pointer

13. #### def createResponseAppealOffice(value: AppealOffice): JAXBElement[AppealOffice]

14. #### def createResponseAppealOffice(): AppealOffice

15. #### def createResponseBank(value: Bank): JAXBElement[Bank]

16. #### def createResponseBank(): Bank

17. #### def createResponseContactOffice(value: ContactOffice): JAXBElement[ContactOffice]

18. #### def createResponseContactOffice(): ContactOffice

19. #### def createResponseContactOfficeCommunication(): Communication

20. #### def createResponseDeclaration(value: Declaration): JAXBElement[Declaration]

21. #### def createResponseDeclaration(): Declaration

22. #### def createResponseDeclarationDutyTaxFee(): DutyTaxFee

23. #### def createResponseDeclarationDutyTaxFeePayment(): Payment

24. #### def createResponseDeclarationDutyTaxFeePaymentObligationGuarantee(): ObligationGuarantee

25. #### def createResponseDeclarationGoodsShipment(): GoodsShipment

26. #### def createResponseDeclarationGoodsShipmentGovernmentAgencyGoodsItem(): GovernmentAgencyGoodsItem

27. #### def createResponseDeclarationGoodsShipmentGovernmentAgencyGoodsItemCommodity(): Commodity

28. #### def createResponseDeclarationGoodsShipmentGovernmentAgencyGoodsItemCommodityDutyTaxFee(): DutyTaxFee

29. #### def createResponseDeclarationGoodsShipmentGovernmentAgencyGoodsItemCommodityDutyTaxFeePayment(): Payment

30. #### def createResponseError(value: Error): JAXBElement[Error]

31. #### def createResponseError(): Error

32. #### def createResponseErrorPointer(): Pointer

33. #### def createResponseFunctionCode(value: ResponseFunctionCodeType): JAXBElement[ResponseFunctionCodeType]

34. #### def createResponseFunctionalReferenceID(value: ResponseFunctionalReferenceIDType): JAXBElement[ResponseFunctionalReferenceIDType]

35. #### def createResponseIssueDateTime(value: ResponseIssueDateTimeType): JAXBElement[ResponseIssueDateTimeType]

36. #### def createResponseStatus(value: Status): JAXBElement[Status]

37. #### def createResponseStatus(): Status

38. #### def createResponseStatusPointer(): Pointer

39. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

40. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

41. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

42. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

43. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

44. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

45. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

46. #### final def notify(): Unit

    Definition Classes
      AnyRef

47. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

48. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

49. #### def toString(): String

    Definition Classes
      AnyRef → Any

50. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

51. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

52. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from AnyRef

### Inherited from Any

### Ungrouped